{% set encryption = item.cache_storage_encryption | default(true) %}
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultAuth
metadata:
  labels:
    app.kubernetes.io/managed-by: Ansible
    cacheStorageEncryption: "{{ encryption | lower }}"
  name: "{{ item.name }}"
  namespace: "{{ item.namespace | default(k8s_vault_operator_namespace) }}"
spec:
  kubernetes:
    role: "{{ item.role }}"
    serviceAccount: "{{ item.service_account | default('default') }}"
    tokenExpirationSeconds: {{ item.token_expiration_seconds | default(600) }}
  method: kubernetes
  mount: "{{ k8s_vault_cluster_name }}"
  vaultConnectionRef: "{{ item.connection_ref | default(k8s_vault_operator_namespace + '/default') }}"
  allowedNamespaces: {{ item.allowed_namespaces | default(None) | to_json }}
{% if encryption %}
  storageEncryption:
    keyName: "vso-client-cache-{{ item.name }}"
    mount: "{{ k8s_vault_cluster_name }}"
{% endif %}
